seo:
  title: Athlinks cuts runtime in half with GitLab
  description: >-
    Athlinks, a time management solution platform, shares how moving from
    Jenkins to GitLab cut CI runtimes in half.
  ogTitle: Athlinks cuts runtime in half with GitLab
  ogDescription: >-
    Athlinks, a time management solution platform, shares how moving from
    Jenkins to GitLab cut CI runtimes in half.
  noIndex: false
  ogImage: images/blog/hero-images/Athlinks_running.jpg
  ogUrl: https://about.gitlab.com/blog/athlinks-cuts-runtime-in-half-with-giltab
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/athlinks-cuts-runtime-in-half-with-giltab
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Athlinks cuts runtime in half with GitLab",
            "author": [{"@type":"Person","name":"Brein Matturro"}],
            "datePublished": "2019-12-17",
          }

content:
  title: Athlinks cuts runtime in half with GitLab
  description: >-
    Athlinks, a time management solution platform, shares how moving from
    Jenkins to GitLab cut CI runtimes in half.
  authors:
    - Brein Matturro
  heroImage: images/blog/hero-images/Athlinks_running.jpg
  date: '2019-12-17'
  body: >

    If you’ve ever run a [Spartan race](https://www.spartan.com/en), then you’ve
    likely used Athlinks, the only suite of time management solutions for a
    variety of racing events. The [Athlinks](https://www.athlinks.com) platform
    includes race registration, timing, scoring, results -- everything from the
    check-in process to the orange wrist bands worn by participants. The
    solution stores over 300 million race results at any given time.


    ## Athlinks previous DevOps tools run short


    The Athlinks DevOps team previously had experience with several Agile
    planning tools, including Jira, Rally, and VersionOne. All of the tools they
    tried didn’t exactly fit what the team needed. They were looking for a tool
    that offers transparency and a voice for other parts of the business. “(We
    wanted) to give transparency and a voice to what engineering is working on
    so that other departments can have input into what is going on,” says
    Christopher Annannie, engineering manager, Athlinks.


    ## Athlinks sprint to GitLab CI from Jenkins


    Athlinks started using GitLab CE in 2015, migrating over from GitHub. In
    January of 2018, the team adopted EE and after doing a GitLab CI proof of
    concept, they moved to Ultimate and away from
    [Jenkins](/blog/2019/11/26/migrating-from-jenkins/). “We quickly discovered
    that we really wanted the full suite of tools for the Agile and the product
    side, so we went to GitLab Ultimate,” explains Aaron Rorvig, DevOps manager.


    The group previously had about 300 jobs in Jenkins and now are at less than
    40. “We use a wide variety of languages and technologies -- pretty much
    every operating system, both Android and iOS. We’re all over the place and
    we use GitLab CI for all of it,” Aaron says. The Athlinks team estimates a
    50% savings across the board, both in code and in time spent running jobs.


    ## A win for Athlinks collaboration and communication


    Since all of the issues, the code, and [CI
    pipelines](/blog/2019/11/19/defend-cicd-security/) are inside of GitLab, it
    provides a single view from start to finish. Each team can view all the
    issues and the labeling helps everyone understand what stage each project is
    in, how much work has been done, and what the next steps are. “GitLab is not
    necessarily all that opinionated about how you do issue tracking,”
    Christopher says. Everything can be tracked, even when the teams don’t use
    the same issue tracking, it can all exist in one place.


    The issue templates provide structure for the all departments to understand
    what they need to fill out. “Engineering will get to it quicker without so
    much back and forth before a problem is actually solved,” Christopher says.


    The communication among the marketing, DevOps and engineering teams is
    improving. “We’re getting marketing involved in this so we get better about
    communicating all the new features we’ve deployed this month, so that
    timers, race directors, and athletes will actually know about the work we’re
    doing,” Christopher says.


    Want to learn more about Athlink’s transition from Jenkins to GitLab? Watch
    the presentation here:


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/Dy_a79_PsNk" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    Cover image by [Ben Stern](https://unsplash.com/@benst287) on
    [Unsplash](https://www.unsplash.com)

    {: .note}
  category: Open Source
  tags:
    - CI/CD
    - collaboration
    - agile
config:
  slug: athlinks-cuts-runtime-in-half-with-giltab
  featured: false
  template: BlogPost
